import 'package:flutter/material.dart';

const lightColorScheme = ColorScheme(
  brightness: Brightness.light,
  primary: Colors.blue, // blue color
  onPrimary: Colors.white,
  secondary: Color(0xFFB94E48), // Reddish-brown accent color
  onSecondary: Colors.white,
  error: Color(0xFFB94E48), // Using the same reddish-brown for error
  onError: Colors.white, // Dark grey for text/elements
  surface: Color(0xFFE0E0E0), // Light grey for surfaces
  onSurface: Color(0xFF333333), // Dark grey for text/elements on surfaces
);

const darkColorScheme = ColorScheme(
  brightness: Brightness.dark,
  primary: Color(0xFFAC9B8C), // Desaturated tan/beige color
  onPrimary: Colors.black,
  secondary: Color(0xFFD57C73), // Reddish-brown accent color
  onSecondary: Colors.black,
  error: Color(0xFFD57C73), // Using the same reddish-brown for error
  onError: Colors.black, // Light cream for text/elements
  surface: Color(0xFF4D4D4D), // Darker grey for surfaces
  onSurface: Color(0xFFF5F5F5), // Light cream for text/elements on surfaces
);
